part of 'json_bloc.dart';

@immutable
sealed class JsonEvent {}

class JsonResetEvent extends JsonEvent {}

class ChooseWayToGetConfigEvent extends JsonEvent {
  final int selectedIndex;
  ChooseWayToGetConfigEvent(this.selectedIndex);
}

class ChooseWayToGetLinkEvent extends JsonEvent {
  final int selectedIndex;
  ChooseWayToGetLinkEvent(this.selectedIndex);
}

class ChooseFirebaseConfigEvent extends JsonEvent {
  final int selectedIndex;
  ChooseFirebaseConfigEvent(this.selectedIndex);
}

class ChooseExampleLinkEvent extends JsonEvent {
  final int selectedIndex;
  ChooseExampleLinkEvent(this.selectedIndex);
}

class TypeOwnLinkEvent extends JsonEvent {
  final String urlPath;
  final bool? isLive;
  TypeOwnLinkEvent(this.urlPath, this.isLive);
}